package com.sikey.wa04.common.enums;

import lombok.Getter;

/**
 * 通讯录成员角色
 *
 * @author luoyangwei
 */
@Getter
public enum ContactRole {
    /**
     * 超级管理员
     */
    SUPER_ADMIN(0),
    /**
     * 管理员
     */
    ADMIN(1),
    /**
     * 家人
     */
    FAMILY(2),
    /**
     * 朋友
     */
    FRIEND(3),
    /**
     * 其他
     */
    OTHER(4),
    /**
     * 孩子
     */
    CHILDREN(5);

    private final Integer value;

    ContactRole(Integer value) {
        this.value = value;
    }

    public static ContactRole valueOf(Integer value) {
        for (ContactRole role : values()) {
            if (role.value.equals(value)) {
                return role;
            }
        }
        throw new IllegalArgumentException("No such value: " + value);
    }
}
